Returns a [SHA-1 hash](http://en.wikipedia.org/wiki/SHA-1) of a string value.

```lua
string.sha1("value")
```

### Parameters ###

`value` is the string value to be hashed.


### Return Value ###

The SHA-1 hash value of the provided string.


### Availability ###

Premake 5.0 or later.


### See Also ###

* [string.hash](string.hash.md)
